flutter_lp_pdfview 1.0.6
flutter_lp_pdfview: ^1.0.6 copied to clipboard

A Flutter plugin that provides a PDFView widget on Android and iOS.

flutter_lp_pdfview #

Native PDF View for iOS and Android

xscode

Use this package as a library #

1. Depend on it #

Add this to your package's pubspec.yaml file:

dependencies:
  flutter_lp_pdfview: ^1.0.6

2. Install it #

You can install packages from the command line:

with Flutter:

$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Setup #

iOS

Opt-in to the embedded views preview by adding a boolean property to the app's Info.plist file with the key io.flutter.embedded_views_preview and the value YES.

# Info.plist
...
<key>io.flutter.embedded_views_preview</key>
<true/>
...

4. Import it #

Now in your Dart code, you can use:

import 'package:flutter_lp_pdfview/flutter_lp_pdfview.dart';

Options #

NameAndroidiOSDefault
defaultPage0
onViewCreatednull
onRendernull
onPageChangednull
onErrornull
onPageErrornull
onLinkHandlenull
gestureRecognizersnull
filePath
pdfData
fitPolicyFitPolicy.WIDTH
enableSwipetrue
swipeHorizontalfalse
passwordnull
nightModefalse
passwordnull
autoSpacingtrue
pageFlingtrue
pageSnaptrue
preventLinkNavigationfalse

Controller Options #

NameDescriptionParametersReturn
getPageCountGet total page count-Future<int>
getCurrentPageGet current page-Future<int>
setPageGo to/Set pageint pageFuture<bool>

Example #

PDFView(
  filePath: path,
  enableSwipe: true,
  swipeHorizontal: true,
  autoSpacing: false,
  pageFling: false,
  onRender: (_pages) {
    setState(() {
      pages = _pages;
      isReady = true;
    });
  },
  onError: (error) {
    print(error.toString());
  },
  onPageError: (page, error) {
    print('$page: ${error.toString()}');
  },
  onViewCreated: (PDFViewController pdfViewController) {
    _controller.complete(pdfViewController);
  },
  onPageChanged: (int page, int total) {
    print('page change: $page/$total');
  },
),

For production usage #

If you use proguard, you should include this line.

-keep class com.shockwave.**

Dependencies #

Android #

AndroidPdfViewer

iOS (only support> 11.0) #

PDFKit

0
likes
80
pub points
0%
popularity

A Flutter plugin that provides a PDFView widget on Android and iOS.

Repository (GitLab)
View/report issues

Documentation

API reference

Uploader

roger.kuu@gmail.com

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on flutter_lp_pdfview